import React from 'react';
import { Button, Row, Col } from 'react-bootstrap';
import axios from 'axios';
import { getComponent } from '../routes/';

export default class Optout extends React.Component {
  handleSubmit(data, cb) {
    axios.post('/api/zlSites/optoutUser', data)
     .then((response) => {
       // hide GlobalModal (if displayed)
       window.hideGlobalModal();
       // show message
       Messenger().info({
         message: 'Your email address has been unsubscribed.',
         id: 'unsbscrMsg'
       });
     });
  }

  render() {
    let FormBuilder = getComponent('FormBuilder', '');

    const FieldRenderer = props => (
      <Col xs={12} sm={6}>{props.children}</Col>
    );

    let fields = [
      {
        name: 'email',
        format: 'email',
        placeholder: 'Email',
        value: this.props.email,
        validations: { required: true, allowEmpty: false, format: 'email', maxLength: 255 }
      }
    ];

    return (
      <div>
        <p>
          If you do not wish to receive further emails from us (excluding
          transactional emails), please enter your email address
           below. We participate in responsible email marketing, and respect
          your right to refuse any email distributions from us.
        </p>
        <Row>
          <FormBuilder fields={fields} submitButton="#unsbscrBtn"
            handleSubmit={this.handleSubmit} FieldRenderer={FieldRenderer} />
          <Col>
            <Button id="unsbscrBtn" bsStyle="primary" type="button">
              Unsubscribe
            </Button>
          </Col>
        </Row>
      </div>
    )
  }
}
