// @flow

import React from 'react';

export default class App extends React.Component {
  render() {
    const {getComponent, page, contentFillsWindow} = this.props;

    // get MainMenu for mobile menu
    let BurgerMenu = getComponent('BurgerMenu', '');
    let MainMenu = getComponent('MainMenu', '');
    let PersonBar = getComponent('PersonBar', '');

    // assign top className
    let className = `pg-comp-${page.scsBase.replace(/\s/g, '-')}`;
    className += ` page-${page.scsName.replace(/\s/g, '-')}`;
    if (page.scsOptions && page.scsOptions.className) {
      // add css class' assigned for this page
      className += ` ${page.scsOptions.className}`;
    }

    return (
      <div id="outer-container" className={className}>
        <BurgerMenu>
          <PersonBar stacked={true} />
          <MainMenu accordion={true} />
        </BurgerMenu>
        <div id="page-wrap">{this.props.children}</div>
      </div>
    );
  }
}
